Unable to upload Home Assistant Core or Addons due to "audio" plugin error

Hi all, looking for some help diagnosing an issue I am having running Home Assistant OS within a VM (VirtualBox) on Ubuntu Server.

I’ve got myself in a situation where I cannot update Home Assistant Core or any Addon’s due to the following error:

Logger: homeassistant.components.websocket_api.http.connection
Source: components/hassio/update.py:169
Integration: Home Assistant WebSocket API (documentation, issues)
First occurred: 12:03:17 (5 occurrences)
Last logged: 12:09:26

[140557936997472] Error updating Terminal & SSH: 'AddonManager.update' blocked from execution, was unable to update plugin(s) audio and all plugins must be up to date first
[140557936997472] Error updating File editor: 'AddonManager.update' blocked from execution, was unable to update plugin(s) audio and all plugins must be up to date first
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/hassio/update.py", line 167, in async_install
    await async_update_addon(self.hass, slug=self._addon_slug, backup=backup)
  File "/usr/src/homeassistant/homeassistant/components/hassio/handler.py", line 45, in _wrapper
    raise HassioAPIError(data["message"])
homeassistant.components.hassio.handler.HassioAPIError: 'AddonManager.update' blocked from execution, was unable to update plugin(s) audio and all plugins must be up to date first

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/websocket_api/commands.py", line 193, in handle_call_service
    await hass.services.async_call(
  File "/usr/src/homeassistant/homeassistant/core.py", line 1713, in async_call
    task.result()
  File "/usr/src/homeassistant/homeassistant/core.py", line 1750, in _execute_service
    await cast(Callable[[ServiceCall], Awaitable[None]], handler.job.target)(
  File "/usr/src/homeassistant/homeassistant/helpers/entity_component.py", line 204, in handle_service
    await service.entity_service_call(
  File "/usr/src/homeassistant/homeassistant/helpers/service.py", line 680, in entity_service_call
    future.result()  # pop exception if have
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 930, in async_request_call
    await coro
  File "/usr/src/homeassistant/homeassistant/helpers/service.py", line 717, in _handle_entity_call
    await result
  File "/usr/src/homeassistant/homeassistant/components/update/__init__.py", line 152, in async_install
    await entity.async_install_with_progress(version, backup)
  File "/usr/src/homeassistant/homeassistant/components/update/__init__.py", line 411, in async_install_with_progress
    await self.async_install(version, backup)
  File "/usr/src/homeassistant/homeassistant/components/hassio/update.py", line 169, in async_install
    raise HomeAssistantError(f"Error updating {self.title}: {err}") from err
homeassistant.exceptions.HomeAssistantError: Error updating Terminal & SSH: 'AddonManager.update' blocked from execution, was unable to update plugin(s) audio and all plugins must be up to date first

I always get the error 'AddonManager.update' blocked from execution, was unable to update plugin(s) audio and all plugins must be up to date first and cannot find a way around it. Any amount of Googleing didn’t help either.

Any assistance would be greatly appreciated, thank you!

3 Likes

having the same issue. using “audio update” simply leads to the error “Error: Audio update failed”